GNU bug report logs - #53075
[PATCH 1/41] gnu: rust-rbw: adding rust-zeroize-1.4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 13:54:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 13:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 08:53:58 2022
Received: from localhost ([127.0.0.1]:43378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5pgl-0005NF-Ve
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:53:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:47894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5pgi-0005N5-VX
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:53:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52814)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5pgh-0003zC-Pt
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:53:48 -0500
Received: from 4.mo550.mail-out.ovh.net ([46.105.76.26]:53455)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5pge-0006gV-QS
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:53:47 -0500
Received: from player773.ha.ovh.net (unknown [10.108.4.54])
 by mo550.mail-out.ovh.net (Postfix) with ESMTP id E5BC621C45
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:53:34 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player773.ha.ovh.net (Postfix) with ESMTPSA id 63CA22629BDC4
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:53:34 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-105G0063f4692fe-1f70-47b6-90cc-d1abd49b9958,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/41] gnu: rust-rbw: adding rust-zeroize-1.4
Date: Fri, 07 Jan 2022 14:39:15 +0100
Message-ID: <87bl0nslcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0002-rust-rbw-dependencies-adding-rust-zeroize-1.4.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: rust-rbw-dependencies-adding-rust-zeroize
X-Ovh-Tracer-Id: 5034461435409064698
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtggugfesrehqredttderjeenucfhrhhomheppfhitgholhgrshcuifhrrghvvghsuceonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqeenucggtffrrghtthgvrhhnpefgjeeiiedvkeehgeffjeelheffteelfedugeegieehjeeluddvgfdvfeffjeeuudenucffohhmrghinhepuggrlhgvkhdrrhhspdhgihhthhhusgdrtghomhdpughotghsrdhrshdptghrrghtvghsrdhiohenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeejfedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=46.105.76.26; envelope-from=ngraves@HIDDEN;
 helo=4.mo550.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 117ac2e745d1e9e2122bdf5859ae2b2781ca01c4 Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Thu, 6 Jan 2022 23:16:42 +0100
Subject: [PATCH 02/42] rust-rbw dependencies : adding rust-zeroize-1.4

---
 gnu/packages/crates-io.scm | 56 ++++++++++++++++++++++++++++----------
 1 file changed, 42 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index fb400cf3fc..43c8456b32 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -23,6 +23,7 @@
 ;;; Copyright =C2=A9 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright =C2=A9 2021 Jacob Hrbek <kreyren@HIDDEN>
 ;;; Copyright =C2=A9 2021 Zheng Junjie <873216071@HIDDEN>
+;;; Copyright =C2=A9 2022 Graves Nicolas <ngraves@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1345,7 +1346,7 @@ (define-public rust-aes-gcm-0.6
         ("rust-block-cipher" ,rust-block-cipher-0.7)
         ("rust-ghash" ,rust-ghash-0.3)
         ("rust-subtle" ,rust-subtle-2)
-        ("rust-zeroize" ,rust-zeroize-1))
+        ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
         ("rust-criterion-cycles-per-byte"
@@ -1379,7 +1380,7 @@ (define-public rust-aes-gcm-0.5
         ("rust-block-cipher-trait" ,rust-block-cipher-trait-0.6)
         ("rust-ghash" ,rust-ghash-0.2)
         ("rust-subtle" ,rust-subtle-2)
-        ("rust-zeroize" ,rust-zeroize-1))))))
+        ("rust-zeroize" ,rust-zeroize-1.1))))))
=20
 (define-public rust-aes-soft-0.6
   (package
@@ -13538,7 +13539,7 @@ (define-public rust-curve25519-dalek-3
          ("rust-rand-core" ,rust-rand-core-0.5)
          ("rust-serde" ,rust-serde-1)
          ("rust-subtle" ,rust-subtle-2)
-         ("rust-zeroize" ,rust-zeroize-1))))
+         ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page "https://dalek.rs/curve25519-dalek")
     (synopsis "Group operations on ristretto255 and Curve25519")
     (description
@@ -16743,7 +16744,7 @@ (define-public rust-ed25519-dalek-1
          ("rust-serde" ,rust-serde-1)
          ("rust-serde-bytes" ,rust-serde-bytes-0.11)
          ("rust-sha2" ,rust-sha2-0.9)
-         ("rust-zeroize" ,rust-zeroize-1))))
+         ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page "https://dalek.rs")
     (synopsis "Ed25519 EdDSA key generations, signing, and verification")
     (description
@@ -21766,7 +21767,7 @@ (define-public rust-ghash-0.3
     (arguments
      `(#:cargo-inputs
        (("rust-polyval" ,rust-polyval-0.4)
-        ("rust-zeroize" ,rust-zeroize-1))
+        ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-hex-literal" ,rust-hex-literal-0.1))))
     (home-page "https://github.com/RustCrypto/universal-hashes")
@@ -21792,7 +21793,7 @@ (define-public rust-ghash-0.2
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-polyval" ,rust-polyval-0.3)
-        ("rust-zeroize" ,rust-zeroize-1))))))
+        ("rust-zeroize" ,rust-zeroize-1.1))))))
=20
 (define-public rust-gif-0.11
   (package
@@ -30461,7 +30462,7 @@ (define-public rust-merlin-2
          ("rust-hex" ,rust-hex-0.3)
          ("rust-keccak" ,rust-keccak-0.1)
          ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-zeroize" ,rust-zeroize-1))))
+         ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page "https://docs.rs/merlin")
     (synopsis "Composable proof transcripts for public-coin arguments of
 knowledge")
@@ -31836,7 +31837,7 @@ (define-public rust-nanorand-0.5
      `(#:skip-build? #true              ;error with pre-release randomize
        #:cargo-inputs
        (("rust-getrandom" ,rust-getrandom-0.2)
-        ("rust-zeroize" ,rust-zeroize-1))
+        ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
         ("rust-fastrand" ,rust-fastrand-1)
@@ -31866,7 +31867,7 @@ (define-public rust-nanorand-0.4
      `(#:skip-build? #true              ;error with pre-release randomize
        #:cargo-inputs
        (("rust-getrandom" ,rust-getrandom-0.2)
-        ("rust-zeroize" ,rust-zeroize-1))
+        ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
         ("rust-fastrand" ,rust-fastrand-1)
@@ -34203,7 +34204,7 @@ (define-public rust-num-bigint-dig-0.6
          ("rust-rand" ,rust-rand-0.7)
          ("rust-serde" ,rust-serde-1)
          ("rust-smallvec" ,rust-smallvec-1)
-         ("rust-zeroize" ,rust-zeroize-1))))
+         ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page
       "https://github.com/dignifiedquire/num-bigint")
     (synopsis "Big integer implementation for Rust")
@@ -39197,7 +39198,7 @@ (define-public rust-polyval-0.4
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-0.1)
         ("rust-universal-hash" ,rust-universal-hash-0.4)
-        ("rust-zeroize" ,rust-zeroize-1))
+        ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
         ("rust-criterion-cycles-per-byte"
@@ -39225,7 +39226,7 @@ (define-public rust-polyval-0.3
        #:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-0.1)
         ("rust-universal-hash" ,rust-universal-hash-0.3)
-        ("rust-zeroize" ,rust-zeroize-1))))))
+        ("rust-zeroize" ,rust-zeroize-1.1))))))
=20
 (define-public rust-pom-3
   (package
@@ -64015,7 +64016,7 @@ (define-public rust-win-crypto-ng-0.4
          ("rust-doc-comment" ,rust-doc-comment-0.3)
          ("rust-rand-core" ,rust-rand-core-0.5)
          ("rust-winapi" ,rust-winapi-0.3)
-         ("rust-zeroize" ,rust-zeroize-1))))
+         ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page "https://crates.io/crates/win-crypto-ng")
     (synopsis "Safe bindings to MS Windows Cryptography API Next
 Generation")
@@ -64811,7 +64812,7 @@ (define-public rust-zerocopy-derive-0.2
 crate.")
     (license license:bsd-3)))
=20
-(define-public rust-zeroize-1
+(define-public rust-zeroize-1.1
   (package
     (name "rust-zeroize")
     (version "1.1.0")
@@ -64837,6 +64838,33 @@ (define-public rust-zeroize-1
 implementation that works everywhere, even WASM!")
     (license (list license:asl2.0 license:expat))))
=20
+(define-public rust-zeroize-1.4
+  (package
+    (name "rust-zeroize")
+    (version "1.4.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "zeroize" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "068nvl3n5hk6lfn5y24grf2c7anzzqfzjjccscq3md7rqp79v3fn"))=
))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-zeroize-derive" ,rust-zeroize-derive-1))))
+    (home-page "https://github.com/RustCrypto/utils/tree/master/zeroize")
+    (synopsis
+      "Securely clear secrets from memory.")
+    (description
+      "Securely clear secrets from memory with a simple trait built on sta=
ble Rust
+primitives which guarantee memory is zeroed using an operation will not be
+'optimized away' by the compiler.  Uses a portable pure Rust implementatio=
n that
+works everywhere, even WASM!")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-zeroize-derive-1
   (package
     (name "rust-zeroize-derive")
--=20
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53075; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.